Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.dd
Class DragData

    java.lang.Object
      com.gwtext.client.core.JsObject
          com.gwtext.client.dd.DragData

Direct Known Subclasses:
  GridDragData, PanelDragData, TreeDragData

    public class DragData

extends JsObject

Base DragData class that is passed to the drop target when the source is draggable.

See Also:
  `TreePanelListener.doBeforeNodeDrop(com.gwtext.client.widgets.tree.TreePanel , com.gwtext.client.widgets.tree.TreeNode , com.gwtext.client.dd.DragData, String, com.gwtext.client.dd.DragDrop, com.gwtext.client.widgets.tree.TreeNode , com.gwtext.client.widgets.tree.DropNodeCallback)`, `TreePanelListener.onNodeDrop(com.gwtext.client.widgets.tree.TreePanel , com.gwtext.client.widgets.tree.TreeNode , com.gwtext.client.dd.DragData, String, com.gwtext.client.dd.DragDrop, com.gwtext.client.widgets.tree.TreeNode)`

Field Summary

Fields inherited from class com.gwtext.client.core.JsObject
`jsObj`

Constructor Summary
`protected` | `DragData(com.google.gwt.core.client.JavaScriptObject jsObj)`

Method Summary
`com.google.gwt.user.client.Element` | `getDDEl()` Retrun the DragDrop element.
`java.lang.String` | `getProperty(java.lang.String property)`
`boolean` | `getPropertyAsBoolean(java.lang.String property)`
`com.google.gwt.user.client.Element` | `getPropertyAsElement(java.lang.String property)`
`int` | `getPropertyAsInt(java.lang.String property)`
`com.google.gwt.core.client.JavaScriptObject` | `getPropertyAsJavaScriptObject(java.lang.String property)`

Methods inherited from class com.gwtext.client.core.JsObject
`getJsObj, getProperties, isCreated, setJsObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DragData

    protected DragData(com.google.gwt.core.client.JavaScriptObject jsObj)

Method Detail

### getPropertyAsInt

    public int getPropertyAsInt(java.lang.String property)

### getPropertyAsBoolean

    public boolean getPropertyAsBoolean(java.lang.String property)

### getProperty

    public java.lang.String getProperty(java.lang.String property)

### getPropertyAsJavaScriptObject

    public com.google.gwt.core.client.JavaScriptObject getPropertyAsJavaScriptObject(java.lang.String property)

### getPropertyAsElement

    public com.google.gwt.user.client.Element getPropertyAsElement(java.lang.String property)

### getDDEl

    public com.google.gwt.user.client.Element getDDEl()

  Retrun the DragDrop element. ie the Element displayed when the source is being dragged.

  Returns:
    the element being droppped

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD